FROM node:22-alpine AS build

WORKDIR /app

COPY package*.json ./

RUN npm install --legacy-peer-deps

COPY . .
RUN npm run build

FROM nginx:stable-alpine

COPY --from=build /app/dist /usr/share/nginx/html


COPY <<EOF /etc/nginx/conf.d/default.conf
server {
    listen 89;

    location /register {
        proxy_pass http://backend:8090; 
        proxy_set_header Host \$host;
    }

    location /login {
        proxy_pass http://backend:8090; 
        proxy_set_header Host \$host;
    }

    location /api {
        proxy_pass http://backend:8090;
    }

    # Сама статика React
    location / {
        root /usr/share/nginx/html;
        index index.html;
        try_files \$uri \$uri/ /index.html;
    }
}
EOF

EXPOSE 89

CMD ["nginx", "-g", "daemon off;"]
